summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIlya Tumaykin <itumaykin@gmail.com>2017-04-15 14:42:55 +0300
committerDavid Seifert <soap@gentoo.org>2017-04-16 21:02:24 +0200
commit0ef17d6fe339a487cdc86597748988517310360b (patch)
tree3f33d1a26bafc76107bec50e37a9139e97ce31fe /app-shells
parentgames-puzzle/cuyo: Fix building with GCC-6 (bug #614366) (diff)
downloadgentoo-0ef17d6fe339a487cdc86597748988517310360b.tar.gz
gentoo-0ef17d6fe339a487cdc86597748988517310360b.tar.bz2
gentoo-0ef17d6fe339a487cdc86597748988517310360b.zip
app-shells/mpv-bash-completion: verbump to 3.3.13
Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'app-shells')
-rw-r--r--app-shells/mpv-bash-completion/Manifest1
-rw-r--r--app-shells/mpv-bash-completion/mpv-bash-completion-3.3.13.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/app-shells/mpv-bash-completion/Manifest b/app-shells/mpv-bash-completion/Manifest
index 8c7f739b610..028eee5241c 100644
--- a/app-shells/mpv-bash-completion/Manifest
+++ b/app-shells/mpv-bash-completion/Manifest
@@ -1,3 +1,4 @@
DIST mpv-bash-completion-3.3.11.tar.gz 19225 SHA256 b74a180c3318bafc9e8d240bb90f2de1f26a653776abd18f6f7c188fe8a38626 SHA512 ac0244c048c7d468fb6f971e58c631c39c919be9a049bb600abed9df9b2ae1429aba918714f6ad60b3cec48bf4dbcf81673946bc5736c0deb0d57585af460f21 WHIRLPOOL 1e25ffb8baba95381463d9ddd1b6ca18d8e954470fa8a384d00645049978869bc00408e7596fe0878c6a6a7e8fe8cf5567ad47a71a1f69945ca469dc560aa799
DIST mpv-bash-completion-3.3.12.tar.gz 19310 SHA256 9291ef730af6f69cc0efc82e88d170d43d79266a1500461b08719130507870ef SHA512 f019e9a66072333b40213437f07097cacb9f01a1f322fded763e695ef5ef4656016ca07fcb402d406fd99785026dba1fc7292a2c04a14ac18a24557bb8ab2cd1 WHIRLPOOL 96db10c112767d8c8e648a989f416cb02123018e8406842ee27bfc603f5f6ca9ee6360f6aa46a19e14a194f44d510eb971219b10bb598785720c3a6f23047f6c
+DIST mpv-bash-completion-3.3.13.tar.gz 19726 SHA256 65172975bfca59f9921afd9788c1e1532c734c068a6af21517eeec63b9a1ea34 SHA512 0f9301447c4f1d9443106e01c602a17f8d3ea62eacf63be807157c7b39a08d54c3cacb3a103fc8f77bc88dd71df433fe7bcb6c09bd3b9aeaa685c407c64cc3c7 WHIRLPOOL 3a1696dcf3cce68186e3fbee5f90982daaadf7fd238d022722b3e7d363a17551e066b953e08e40aac762d587d4cb839f3c704ac379572b62ad29ff5acba89779
DIST mpv-bash-completion-3.3.8.tar.gz 19002 SHA256 67bb3565daafb1e3f64b24262b0859f7843ac052960e0159e3fe3a375ffed181 SHA512 4d6cfc3ac2d1fd6a28be1a40e3ca28d61f5d9ed40a850c5c60e45501b958b929d6ef9266027d2be95ed0c2b0dedccfdbb04fe4115bb7bcfd39435cb73f2dc452 WHIRLPOOL 62012925d3fb212c473e889930c1add93ce36533313a677cc9ddbc7acce2d9dfc1a18f9054dad901f7a0cb2b57c56a05f302f1fadc83b4bbeda5baa06fb2c7c8
diff --git a/app-shells/mpv-bash-completion/mpv-bash-completion-3.3.13.ebuild b/app-shells/mpv-bash-completion/mpv-bash-completion-3.3.13.ebuild
new file mode 100644
index 00000000000..dc4633a3b92
--- /dev/null
+++ b/app-shells/mpv-bash-completion/mpv-bash-completion-3.3.13.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit bash-completion-r1
+
+DESCRIPTION="Bash completion for the mpv video player"
+HOMEPAGE="https://2ion.github.io/mpv-bash-completion/"
+SRC_URI="https://github.com/2ion/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="luajit"
+
+COMMON_DEPEND=">=media-video/mpv-0.14.0[cli]"
+RDEPEND="${COMMON_DEPEND}
+ >=app-shells/bash-completion-2.3-r1
+"
+DEPEND="${COMMON_DEPEND}
+ !luajit? ( dev-lang/lua:* )
+ luajit? ( dev-lang/luajit:2 )
+"
+
+src_prepare() {
+ default_src_prepare
+ # Avoid 'mpv' make target that supports lua only.
+ sed -i -e 's|check: mpv|check:|' Makefile || die
+}
+
+src_compile() {
+ $(usex luajit 'luajit' 'lua') gen.lua > mpv || die
+}
+
+src_install() {
+ dobashcomp mpv
+ einstalldocs
+}
+
+pkg_postinst() {
+ if ! has_version 'x11-apps/xrandr'; then
+ elog
+ elog "If you want completion of window sizes, please install 'x11-apps/xrandr'."
+ elog
+ fi
+}